package com.ruoyi.logistics.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 月结二维码使用记录对象 biz_month_qrcode_record
 * 
 * @author RuiJing
 * @date 2026-02-12
 */
public class BizMonthQrcodeRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 二维码id */
    private Long qrcodeId;

    /** 二维码内容 */
    @Excel(name = "二维码内容")
    private String qrcodeContent;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 供应商id */
    @Excel(name = "供应商id")
    private Long deptId;

    /** 1.JD 2.SF */
    @Excel(name = "1.JD 2.SF")
    private Integer source;

    /** 默认0 0未核销 1已核销 */
    @Excel(name = "默认0 0未核销 1已核销")
    private Integer isVerify;

    public void setQrcodeId(Long qrcodeId) 
    {
        this.qrcodeId = qrcodeId;
    }

    public Long getQrcodeId() 
    {
        return qrcodeId;
    }

    public void setQrcodeContent(String qrcodeContent) 
    {
        this.qrcodeContent = qrcodeContent;
    }

    public String getQrcodeContent() 
    {
        return qrcodeContent;
    }

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public void setSource(Integer source) 
    {
        this.source = source;
    }

    public Integer getSource() 
    {
        return source;
    }

    public void setIsVerify(Integer isVerify) 
    {
        this.isVerify = isVerify;
    }

    public Integer getIsVerify() 
    {
        return isVerify;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("qrcodeId", getQrcodeId())
            .append("qrcodeContent", getQrcodeContent())
            .append("userId", getUserId())
            .append("deptId", getDeptId())
            .append("source", getSource())
            .append("isVerify", getIsVerify())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
